<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Mon May 04 16:03:47 EEST 2020 -->
<title>AbstractDAO</title>
<meta name="date" content="2020-05-04">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractDAO";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ro/utcn/dataAccessLayer/base/AbstractDAO.html" target="_top">Frames</a></li>
<li><a href="AbstractDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ro.utcn.dataAccessLayer.base</div>
<h2 title="Class AbstractDAO" class="title">Class AbstractDAO&lt;MODEL&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ro.utcn.dataAccessLayer.base.AbstractDAO&lt;MODEL&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../ro/utcn/dataAccessLayer/AddressDAO.html" title="class in ro.utcn.dataAccessLayer">AddressDAO</a>, <a href="../../../../ro/utcn/dataAccessLayer/ClientDAO.html" title="class in ro.utcn.dataAccessLayer">ClientDAO</a>, <a href="../../../../ro/utcn/dataAccessLayer/OrderDAO.html" title="class in ro.utcn.dataAccessLayer">OrderDAO</a>, <a href="../../../../ro/utcn/dataAccessLayer/ProductDAO.html" title="class in ro.utcn.dataAccessLayer">ProductDAO</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractDAO&lt;MODEL&gt;</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.Class&lt;<a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="type parameter in AbstractDAO">MODEL</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#type">type</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#AbstractDAO-java.lang.Class-">AbstractDAO</a></span>(java.lang.Class&lt;<a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="type parameter in AbstractDAO">MODEL</a>&gt;&nbsp;type)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#delete-java.lang.String-">delete</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">deletes an entry from the database by its name</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="type parameter in AbstractDAO">MODEL</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#findByName-java.lang.String-java.lang.String-">findByName</a></span>(java.lang.String&nbsp;field,
          java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="type parameter in AbstractDAO">MODEL</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#getAll--">getAll</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected java.sql.Connection</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#getConnection--">getConnection</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#insert-MODEL-">insert</a></span>(<a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="type parameter in AbstractDAO">MODEL</a>&nbsp;element)</code>
<div class="block">inserts generic model into database</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#nextId--">nextId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#updateIntegerField-java.lang.Integer-java.lang.String-java.lang.Integer-">updateIntegerField</a></span>(java.lang.Integer&nbsp;id,
                  java.lang.String&nbsp;field,
                  java.lang.Integer&nbsp;value)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="type">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>type</h4>
<pre>protected final&nbsp;java.lang.Class&lt;<a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="type parameter in AbstractDAO">MODEL</a>&gt; type</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractDAO-java.lang.Class-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractDAO</h4>
<pre>public&nbsp;AbstractDAO(java.lang.Class&lt;<a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="type parameter in AbstractDAO">MODEL</a>&gt;&nbsp;type)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="insert-java.lang.Object-">
<!--   -->
</a><a name="insert-MODEL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insert</h4>
<pre>public&nbsp;void&nbsp;insert(<a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="type parameter in AbstractDAO">MODEL</a>&nbsp;element)</pre>
<div class="block">inserts generic model into database</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - generic model</dd>
</dl>
</li>
</ul>
<a name="delete-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delete</h4>
<pre>public&nbsp;void&nbsp;delete(java.lang.String&nbsp;name)</pre>
<div class="block">deletes an entry from the database by its name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - unique identifier used for the delete query</dd>
</dl>
</li>
</ul>
<a name="findByName-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByName</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="type parameter in AbstractDAO">MODEL</a>&gt;&nbsp;findByName(java.lang.String&nbsp;field,
                                             java.lang.String&nbsp;value)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - field used for the search</dd>
<dd><code>value</code> - value used for the search</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>result from query</dd>
</dl>
</li>
</ul>
<a name="updateIntegerField-java.lang.Integer-java.lang.String-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateIntegerField</h4>
<pre>public&nbsp;void&nbsp;updateIntegerField(java.lang.Integer&nbsp;id,
                               java.lang.String&nbsp;field,
                               java.lang.Integer&nbsp;value)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - id of entity that is updated</dd>
<dd><code>field</code> - field that needs to be update</dd>
<dd><code>value</code> - integer value of the field that is updated</dd>
</dl>
</li>
</ul>
<a name="getAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAll</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="type parameter in AbstractDAO">MODEL</a>&gt;&nbsp;getAll()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>get all entities of the generic type from the database</dd>
</dl>
</li>
</ul>
<a name="nextId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nextId</h4>
<pre>public&nbsp;int&nbsp;nextId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>next available id from the database, based on auto increment strategy</dd>
</dl>
</li>
</ul>
<a name="getConnection--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getConnection</h4>
<pre>protected&nbsp;java.sql.Connection&nbsp;getConnection()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ro/utcn/dataAccessLayer/base/AbstractDAO.html" target="_top">Frames</a></li>
<li><a href="AbstractDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
